Skip to main content
POST
/
v1
/
smart-account
/
transactions
Create Transfer Transaction
curl --request POST \
  --url https://api.openxswitch.com/v1/smart-account/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-wallet-secret: <x-wallet-secret>' \
  --data '
{
  "idempotencyKey": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4",
  "walletId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4",
  "refId": "txn_ref_123",
  "toAddress": "0x1234567890123456789012345678901234567890",
  "token": "USDT",
  "blockchain": "ethereum",
  "amount": "0.5"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "refId": "<string>",
    "idempotencyKey": "<string>",
    "token": "<string>",
    "amount": 123,
    "rawAmount": 123,
    "totalAmount": 123,
    "rawTotalAmount": 123,
    "blockchain": "<string>",
    "protocol": "<string>",
    "environment": "<string>",
    "type": "<string>",
    "status": "<string>",
    "fee": 123,
    "fromAddress": "<string>",
    "triggerOrigin": "<string>",
    "smartAccountId": "<string>",
    "workspaceId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tokenAddress": "<string>",
    "decimals": 123,
    "txHash": "<string>",
    "userOpsTxHash": "<string>",
    "feeLevel": "<string>",
    "feeToken": "<string>",
    "networkFee": 123,
    "rawNetworkFee": 123,
    "bundlerFee": 123,
    "bundlerFeePercentage": "<string>",
    "platformFee": 123,
    "platformPercentage": "<string>",
    "bundlerProvider": "<string>",
    "toAddress": "<string>",
    "destinations": {},
    "estimationData": {},
    "receipt": {},
    "metadata": {},
    "transactionGroupId": "<string>",
    "smartAccountWalletId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-wallet-secret
string
required

Workspace wallet secret for authentication

Body

application/json
idempotencyKey
string
required

Idempotency key

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

walletId
string
required

Filter by Wallet ID

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

refId
string
required

Transaction ref ID

Example:

"txn_ref_123"

toAddress
string
required

Destination address

Example:

"0x1234567890123456789012345678901234567890"

token
string
required

Token symbol

Example:

"USDT"

blockchain
string
required

Blockchain

Example:

"ethereum"

amount
string

Transaction amount in token unit

Example:

"0.5"

Response

success
boolean
required
Example:

true

data
object
required